Bug 473950 - should redo ask-for-password bits a bit
should redo ask-for-password bits a bit
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-01 10:55 EST by Ray Strode [halfline]
Modified: 2010-12-05 02:05 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:05:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ray Strode [halfline] 2008-12-01 10:55:59 EST
Right now, after 3 times no matter what we give up on asking for password.  This is configurable with the --number-of-retries options.

If a user can't remember their root encryption password then they'll want more than 3 tries between reboots while they try to figure it out.  For the case inside the initrd, we should really loop forever since a failure to type the right password will ultimately crash and burn anyway (versus post-initrd where you can get a semi-functional system).

We should make it loop indefinitely if number-of-retries isn't given and fix rc.sysinit to do --number-of-retries=3 or so for the optional partitions.
Comment 1 Bug Zapper 2009-06-09 06:03:28 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Michael Ploujnikov 2010-04-04 15:19:43 EDT
I've recently ran into this issue (I don't reboot my laptop very often) and I would like to point out that the situation gets rather mess after three failed attempts. For me, after the third failed password entry attempt, the system seems to start booting because the Fedora logo starts filling with white from the bottom left corner. Once that finishes, the screen flashes and I'm left with two useless messages:

"[drm:drm_mode_rmfb] *ERROR* tried to remove a fb that we didn't own"
- this seems to be related to bug #539709. I don't know if it's related to the encrypted root being locked.

"Boot has failed, sleeping forever."
 - this is just plain confusing because just a second ago it seemed like the system was booting fine. I actually thought I entered the correct passphrase correctly (although I was asked for it three times for a strange reason).

The bottom line is that this should be fixed. I can't think of a better way than to indefinitely keep asking the user for the password. Possibly increasing the delay between prompts after some number (5+) to prevent brute-force guessing.

Additional Info: I experience this problem in Fedora 12 with:
plymouth-0.8.0-0.2009.29.09.19.3.fc12.x86_64
kernel-2.6.32.10-90.fc12.x86_64
dracut-004-4.fc12.noarch
Comment 3 Bug Zapper 2010-04-27 08:26:04 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-11-04 07:39:21 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-05 02:05:13 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.